%define upstream_name    Math-Cephes
%define upstream_version 0.5305

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Interface to St. Moshier's Cephes library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
  This module provides an interface to over 150 functions of the 
  cephes math library of Stephen Moshier. No functions are exported 
  by default, but rather must be imported explicitly, as in

     use Math::Cephes qw(sin cos);

  There are a number of export tags defined which allow
  importing groups of functions:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
/usr/bin/pmath
%{_mandir}/man1/pmath.1*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.530.500-14.mga10
+ Revision: 2088102
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 0.530.500-13.mga10
+ Revision: 2011597
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.530.500-12.mga9
+ Revision: 1862071
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.530.500-11.mga9
+ Revision: 1795899
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.530.500-10.mga9
+ Revision: 1726858
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.530.500-9.mga8
+ Revision: 1594862
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.530.500-8.mga8
+ Revision: 1529817
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.530.500-7.mga8
+ Revision: 1433822
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.530.500-6.mga7
+ Revision: 1293422
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.530.500-5.mga7
+ Revision: 1249521
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.530.500-4.mga7
+ Revision: 1165299
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.530.500-3.mga7
+ Revision: 1149061
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.530.500-2.mga7
+ Revision: 1126609
- Rebuild against new Perl 5.26

* Sun May 08 2016 shlomif <shlomif> 0.530.500-1.mga6
+ Revision: 1010674
- update to 0.5305

* Fri Feb 12 2016 umeabot <umeabot> 0.530.400-7.mga6
+ Revision: 957696
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.530.400-6.mga6
+ Revision: 842679
- Rebuild for perl 5.22

* Sat Oct 18 2014 umeabot <umeabot> 0.530.400-5.mga5
+ Revision: 787806
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.530.400-4.mga5
+ Revision: 751026
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.530.400-3.mga5
+ Revision: 685353
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.530.400-2.mga5
+ Revision: 631437
- Rebuild for perl 5.20

* Tue Feb 04 2014 shlomif <shlomif> 0.530.400-1.mga5
+ Revision: 581240
- update to 0.5304

* Mon Oct 21 2013 umeabot <umeabot> 0.530.300-2.mga4
+ Revision: 541135
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 0.530.300-1.mga4
+ Revision: 495181
- update to 0.5303

* Wed May 29 2013 jquelin <jquelin> 0.530.200-3.mga4
+ Revision: 430875
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.530.200-2.mga3
+ Revision: 369585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.530.200-1.mga3
+ Revision: 317687
- update to 0.5302

* Tue Nov 06 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 315134
- update to 0.52

* Sat Oct 27 2012 shlomif <shlomif> 0.510.0-1.mga3
+ Revision: 310841
- update to 0.51

* Wed Aug 29 2012 kharec <kharec> 0.480.0-1.mga3
+ Revision: 285336
- update to 0.48

* Wed Nov 30 2011 kharec <kharec> 0.470.0-1.mga3
+ Revision: 174545
- imported package perl-Math-Cephes


* Wed Nov 30 2011 cpan2dist 0.47-1mga
- initial mageia release, generated with cpan2dist
